/*  Definitionen fr den I2C-Bus-Anschluss als Master */

#ifndef _I2C_INCLUDED
#define _I2C_INCLUDED

#include "stdtypes.h"

#define I2CREAD   1
#define I2CWRITE  0


/* Init Logik und Interrupt. Die Pin-Freischaltung mu bereits erledigt sein */
extern void Init_I2C (void);
extern void SCL_low (void);
extern void SCL_high (void);
extern void SDA_low (void);
extern void SDA_high (void);


   /* bertragung starten und adressieren */
extern bool Do_I2C_Start (byte Adresse, byte R_W); /* Result = Acknowledge-Bit */

   /* ein Byte schreiben */
extern bool Do_I2C_Write (byte aByte);             /* Result = Acknowledge-Bit */

   /* ein Byte lesen */
extern byte Do_I2C_Read   (bool Acknowledge);      /* Result = gelesenes Byte */

   /* bertragung stoppen */
extern void Do_I2C_Stop (void);


#endif
